Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354593 - [abrt] network-manager-applet: convert_alpha(): nm-applet killed by SIGSEGV
Summary: [abrt] network-manager-applet: convert_alpha(): nm-applet killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: network-manager-applet
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cb62244a3f86fa8dbad66067731...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 16:17 UTC by Eric Harney
Modified: 2017-08-08 15:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:31:28 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: cgroup (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: core_backtrace (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: dso_list (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: environ (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: exploitable (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: limits (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: maps (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: mountinfo (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: namespaces (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: open_fds (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: proc_pid_status (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: var_log_messages (deleted)
2016-07-11 16:18 UTC, Eric Harney
no flags Details
File: backtrace (deleted)
2016-11-03 00:24 UTC, Konstantin Svist
no flags Details

Description Eric Harney 2016-07-11 16:17:54 UTC
Version-Release number of selected component:
network-manager-applet-1.2.0-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 3
cmdline:        nm-applet
crash_function: convert_alpha
executable:     /usr/bin/nm-applet
global_pid:     5016
kernel:         4.5.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 convert_alpha at gdkpixbuf-drawable.c:187
 #1 gdk_pixbuf_get_from_surface at gdkpixbuf-drawable.c:295
 #2 gtk_status_icon_update_image at deprecated/gtkstatusicon.c:1404
 #3 gtk_status_icon_take_image at deprecated/gtkstatusicon.c:1760
 #4 gtk_status_icon_set_from_pixbuf at deprecated/gtkstatusicon.c:1782
 #5 foo_set_icon at applet.c:2087
 #6 applet_update_icon at applet.c:2625
 #10 g_main_context_iteration at gmain.c:3901
 #11 g_application_run at gapplication.c:2381

Comment 1 Eric Harney 2016-07-11 16:18:00 UTC
Created attachment 1178467 [details]
File: backtrace

Comment 2 Eric Harney 2016-07-11 16:18:02 UTC
Created attachment 1178468 [details]
File: cgroup

Comment 3 Eric Harney 2016-07-11 16:18:03 UTC
Created attachment 1178469 [details]
File: core_backtrace

Comment 4 Eric Harney 2016-07-11 16:18:04 UTC
Created attachment 1178470 [details]
File: dso_list

Comment 5 Eric Harney 2016-07-11 16:18:05 UTC
Created attachment 1178471 [details]
File: environ

Comment 6 Eric Harney 2016-07-11 16:18:06 UTC
Created attachment 1178472 [details]
File: exploitable

Comment 7 Eric Harney 2016-07-11 16:18:07 UTC
Created attachment 1178473 [details]
File: limits

Comment 8 Eric Harney 2016-07-11 16:18:08 UTC
Created attachment 1178474 [details]
File: maps

Comment 9 Eric Harney 2016-07-11 16:18:09 UTC
Created attachment 1178475 [details]
File: mountinfo

Comment 10 Eric Harney 2016-07-11 16:18:10 UTC
Created attachment 1178476 [details]
File: namespaces

Comment 11 Eric Harney 2016-07-11 16:18:11 UTC
Created attachment 1178477 [details]
File: open_fds

Comment 12 Eric Harney 2016-07-11 16:18:12 UTC
Created attachment 1178478 [details]
File: proc_pid_status

Comment 13 Eric Harney 2016-07-11 16:18:13 UTC
Created attachment 1178479 [details]
File: var_log_messages

Comment 14 Konstantin Svist 2016-11-03 00:24:03 UTC
Similar problem has been detected:

turned wifi off and on (in NM-applet)
opened the dropdown menu from the applet icon a few times

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        nm-applet
crash_function: convert_alpha
executable:     /usr/bin/nm-applet
global_pid:     1859
kernel:         4.8.4-200.fc24.x86_64
package:        network-manager-applet-1.2.4-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         nm-applet killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Konstantin Svist 2016-11-03 00:24:07 UTC
Created attachment 1216822 [details]
File: backtrace

Comment 16 Fedora End Of Life 2017-07-25 21:44:21 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-08-08 15:31:28 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.